This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983552 - Rfe: shorten paths
Rfe: shorten paths
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 09:06 EDT by Heiko W. Rupp
Modified: 2013-07-12 02:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (47.71 KB, patch)
2013-07-11 09:06 EDT, Heiko W. Rupp
no flags Details | Diff
Patch 2 - renamed module to server-startup (48.25 KB, patch)
2013-07-11 14:49 EDT, John Mazzitelli
no flags Details | Diff
Patch 3 - renamed module to server-startup (50.09 KB, patch)
2013-07-11 15:27 EDT, John Mazzitelli
no flags Details | Diff

  None (edit)
Description Heiko W. Rupp 2013-07-11 09:06:01 EDT
Created attachment 772213 [details]
Patch

If you look at jbossas/modules/org/rhq you'll find some pretty long path names, which are annoying when you want to describe where things are. Also on Win* there is the issue with total path name length.

The attached patch will shorten rhq-server-startup-subsystem to server 
and rhq-enterprise-server-ejb3.jar to rhq-server.jar as a starting point
Comment 1 John Mazzitelli 2013-07-11 10:20:09 EDT
> rhq-server-startup-subsystem to server 

we should at least make it more descriptive. "server" and "rhq-server.jar" will be confusing (if we tell people "look in 'server'" I'm sure people will then ask "server" or "rhq-server.jar"?).

I think "server" should be renamed to something like "startup" or "rhq-startup". Its the startup subsystem that is responsible for deploying the ear.
Comment 2 John Mazzitelli 2013-07-11 14:49:03 EDT
Created attachment 772380 [details]
Patch 2 - renamed module to server-startup

Attached is the same patch as before, except it renames the startup module "server-startup" rather than "server" to make it clearer what it is and makes it more descriptive.
Comment 3 John Mazzitelli 2013-07-11 15:27:16 EDT
Created attachment 772387 [details]
Patch 3 - renamed module to server-startup

turns out, the dev container was not correct in the original patch, or my second one. I needed to fix it. attached is the latest patch that should work. still testing...
Comment 4 John Mazzitelli 2013-07-11 17:30:19 EDT
git commit to master: 957781e62543ff5023c4b59567ee76c6ab2a9d9a

the ejb3 jar is now "rhq-server.jar" and the startup module name is "server-startup"

to test, just look in the file system after unzipping the distro and make sure you have:

rhq-server/modules/org/rhq/server-startup

and you do NOT have:

rhq-server/modules/org/rhq/rhq-enterprise-server-startup-subsystem

In addition, make sure you have:

rhq-server/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-server.jar

and you do NOT have

rhq-server/modules/org/rhq/server-startup/main/deployments/rhq.ear/rhq-enterprise-server-ejb3.jar
Comment 5 Heiko W. Rupp 2013-07-12 02:58:36 EDT
Awesome - even if I am not completely convinced with the "startup" name, as this also contains the ear (and the downloads etc).

But a huge improvement to the past.

Note You need to log in before you can comment on or make changes to this bug.